dmmp_flush_mpath(3)

NAME
dmmp_flush_mpath - Flush specified multipath device map if unused.

SYNOPSIS
int dmmp_flush_mpath (struct dmmp_context *ctx, const char *mpath_name);

ARGUMENTS

ctx Pointer of 'struct dmmp_context'. If this pointer is NULL, your program will be terminated by assert.

mpath_name
    const char *. The name of multipath device map.

DESCRIPTION
Flush a multipath device map specified as parameter, if unused.

RETURN
int. Valid error codes are: * DMMP_OK * DMMP_ERR_BUG * DMMP_ERR_NO_MEMORY * DMMP_ERR_NO_DAEMON * DMMP_ERR_MPATH_BUSY * DMMP_ERR_MPATH_NOT_FOUND * DMMP_ERR_INVALID_ARGUMENT * DMMP_ERR_PERMISSION_DENY Error number could be converted to string by dmmp_strerror.